<script lang="ts" setup>
import { useProductStore } from "@/stores/product";
import { onMounted } from "vue";
import ProductDialog from "./ProductDialog.vue";

const productStore = useProductStore();

onMounted(async () => {
  await productStore.getProducts();
});
</script>
<template>
  <ProductDialog></ProductDialog>
  <v-btn @click="productStore.dialog = true" class="ma-5" color="red"
    >Add New</v-btn
  >
  <v-table>
    <thead>
      <tr>
        <th>ID</th>
        <th>Name</th>
        <th>Price</th>
        <th>Operations</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="item of productStore.products" :key="item.id">
        <td>{{ item.id }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.price }}</td>
        <td>
          <v-btn
            class="mr-5"
            color="secondary"
            @click="productStore.editProduct(item)"
            ><v-icon icon="mdi-pencil"></v-icon></v-btn
          ><v-btn @click="productStore.deleteProduct(item.id!)" color="error"
            ><v-icon icon="mdi-delete"></v-icon
          ></v-btn>
        </td>
      </tr>
    </tbody>
  </v-table>
</template>
